"""Add router workflows.

Revision ID: 7f46df0f4f95
Revises: 30bc55e5be3e
Create Date: 2023-11-09 14:18:38.705753

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '7f46df0f4f95'
down_revision = '30bc55e5be3e'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_router",
        "target": "CREATE",
        "description": "Create router",
        "product_type": "Router"
    },
    {
        "name": "terminate_router",
        "target": "TERMINATE",
        "description": "Terminate router",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
